package com.ruoyi.system.service.impl;

import com.ruoyi.common.core.domain.entity.MusicSceneRelate;
import com.ruoyi.system.mapper.MusicSceneRelateMapper;
import com.ruoyi.system.service.IMusicSceneRelateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
@Service
public class MusicSceneRelateServiceImpl implements IMusicSceneRelateService 
{
    @Autowired
    private MusicSceneRelateMapper musicSceneRelateMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public MusicSceneRelate selectMusicSceneRelateById(String id)
    {
        return musicSceneRelateMapper.selectMusicSceneRelateById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param musicSceneRelate 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<MusicSceneRelate> selectMusicSceneRelateList(MusicSceneRelate musicSceneRelate)
    {
        return musicSceneRelateMapper.selectMusicSceneRelateList(musicSceneRelate);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param musicSceneRelate 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertMusicSceneRelate(MusicSceneRelate musicSceneRelate)
    {
        return musicSceneRelateMapper.insertMusicSceneRelate(musicSceneRelate);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param musicSceneRelate 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateMusicSceneRelate(MusicSceneRelate musicSceneRelate)
    {
        return musicSceneRelateMapper.updateMusicSceneRelate(musicSceneRelate);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteMusicSceneRelateByIds(String[] ids)
    {
        return musicSceneRelateMapper.deleteMusicSceneRelateByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteMusicSceneRelateById(String id)
    {
        return musicSceneRelateMapper.deleteMusicSceneRelateById(id);
    }
}
